Package: org.codehaus.groovy.runtime

## [Java] Class HandleMetaClass

- org.codehaus.groovy.runtime.HandleMetaClass

-     public class HandleMetaClass
      extends DelegatingMetaClass

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DelegatingMetaClass` | `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HandleMetaClass(MetaClass mc)`
    `HandleMetaClass(MetaClass mc, Object obj)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addMetaBeanProperty(MetaBeanProperty metaBeanProperty)`
    `` | `public void` | `addMetaMethod(MetaMethod metaMethod)`
    `` | `public void` | `addNewInstanceMethod(Method method)`
    `` | `public void` | `addNewStaticMethod(Method method)`
    `` | `public boolean` | `equals(Object obj)`
    `` | `public Object` | `getProperty(String property)`
    `` | `public void` | `initialize()`
    `` | `public Object` | `invokeMethod(String name, Object args)`
    `` | `public GroovyObject` | `replaceDelegate()`
    `` | `public void` | `setProperty(String property, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DelegatingMetaClass` | `addMetaBeanProperty, addMetaMethod, addNewInstanceMethod, addNewStaticMethod, equals, getAdaptee, getAttribute, getAttribute, getClassNode, getMetaClass, getMetaMethod, getMetaMethods, getMetaProperty, getMethods, getProperties, getProperty, getProperty, getProperty, getStaticMetaMethod, getStaticMetaMethod, getTheClass, hasProperty, hashCode, initialize, invokeConstructor, invokeMethod, invokeMethod, invokeMethod, invokeMethod, invokeMissingMethod, invokeMissingProperty, invokeStaticMethod, isGroovyObject, isModified, pickMethod, respondsTo, respondsTo, selectConstructorAndTransformArguments, setAdaptee, setAttribute, setAttribute, setMetaClass, setProperty, setProperty, setProperty, toString`

- - ### Constructor Detail

    - #### public HandleMetaClass(MetaClass mc)

    - #### public HandleMetaClass(MetaClass mc, Object obj)

  - ### Method Detail

    - #### @Override public void addMetaBeanProperty(MetaBeanProperty metaBeanProperty)

    - #### @Override public void addMetaMethod(MetaMethod metaMethod)

    - #### @Override public void addNewInstanceMethod(Method method)

    - #### @Override public void addNewStaticMethod(Method method)

    - #### @Override public boolean equals(Object obj)

    - #### @Override public Object getProperty(String property)

    - #### @Override public void initialize()

    - #### @Override public Object invokeMethod(String name, Object args)

    - #### public GroovyObject replaceDelegate()

    - #### @Override public void setProperty(String property, Object newValue)